Wt: Wt::Ext::Button Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Wt::Ext::Button Class Reference
Ext widgets (Wt::Ext, deprecated)

A button. More...

`#include <Wt/Ext/Button>`

Inheritance diagram for Wt::Ext::Button:
[legend]

List of all members.

## Public Member Functions
| Button (WContainerWidget *parent=0)
| Create a push button with empty label.
| Button (const WString &text, WContainerWidget *parent=0)
| Create a push button with given label.
| ~Button ()
| Delete a button.
void | setDefault (bool how)
| Configure as the default button.
bool | isDefault () const
| Return if is the default button.
JSignal & | clicked ()
| Alias for the activated() signal.

## Detailed Description

A button.

A button with a label and/or icon, which may be standalone, or be added to a ToolBar (see ToolBar::addButton()) or to a Dialog (see Dialog::addButton()).

The API is similar to the WPushButton API, with the following additional features:

- an icon may be specified using AbstractButton::setIcon();
- the button may be configured as a toggle button (see AbstractButton::setCheckable();
- the button may be associated with a popup-menu (see AbstractButton::setMenu();

Standalone button
Standalone button hover effect
Button in tool bar
Button in tool bar with icon
Button in tool bar with icon and menu
Button in tool bar hover effect
Toggled button in tool bar

## Member Function Documentation

JSignal& Wt::Ext::Button::clicked | ( |  | ) |

Alias for the activated() signal.

This signal is added for increased API compatibility with WPushButton.

bool Wt::Ext::Button::isDefault | ( |  | ) | const

Return if is the default button.

See also:
  setDefault(bool)

void Wt::Ext::Button::setDefault | ( | bool | how | ) |

Configure as the default button.

This only applies for buttons that have been added to a dialog using Dialog::addButton().

The default button will be activated when the user presses the Enter (or Return) key in a dialog.

The default button may be rendered with more emphasis (?).

See also:
  isDefault()

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator